<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>Расчёт полного размера блочного бокса</title>
</head>
<style>
	body { background-color: rgba(0,0,0,0.2); }
	div { border: 1px solid #000; }
	div > span { display: block;  width: 100%; background-color: #8ec4e8; }
	div:not(:last-child) { margin-bottom: 36px;}
	.example_1 {
		width: 250px;
		height: 20px;
		margin: 20px;
	}
	.example_2 {
		width: 250px;
		height: 20px;
		padding: 20px;
	}
	.example_3 {
		width: 250px;
		height: 20px;
		padding: 20px;
		border-width: 10px;
	}
	.example_4 {
		width: 250px;
		height: 20px;
		padding: 20px;
		margin: 20px;
		border-width: 10px;
	}
</style>
<body>
	<h1>
		Расчёт полного размера блочного бокса
	</h1>
	<div class="example_1">
		<span>Блок 1</span>
	</div>
	<div class="example_2">
		<span>Блок 2</span>
	</div>
	<div class="example_3">
		<span>Блок 3</span>
	</div>
	<div class="example_4">
		<span>Блок 4</span>
	</div>
</body>
</html>